PTHREAD_COND_DESTROY(3)

NAME
pthread_cond_destroy - destroy a condition variable

SYNOPSIS
#include <pthread.h>
int
pthread_cond_destroy(pthread_cond_t *cond);

DESCRIPTION
The pthread_cond_destroy() function frees the resources allocated by the condition variable cond.

RETURN VALUES
If successful, the pthread_cond_destroy() function will return zero, otherwise an error number will be returned to indicate the error.

ERRORS
pthread_cond_destroy() will fail if:

[EINVAL]
    The value specified by cond is invalid.

[EBUSY]
    The variable cond is locked by another thread.

SEE ALSO
pthread_cond_broadcast(3), pthread_cond_init(3), pthread_cond_signal(3), pthread_cond_timedwait(3), pthread_cond_wait(3)

STANDARDS
pthread_cond_destroy() conforms to p1003.1-96.